Skip to content

Retrieve Current User with SCIM

Retrieve the currently authenticated user with SCIM.

GET/api/{version}/scim/v2/Me
NameDescription
Acceptapplication/json (default) or application/scim+json
NameDescription
attributesOptional: Include specified attributes only. Enter multiple values in a comma separated list. For example, to include only user name and email in the response, attributes=userName,emails. Note that the schemas and id attributes are always returned.
excludedAttributesOptional: Exclude specific attributes from the response. Enter multiple values in a comma separated list. For example, to exclude user name and email from the response, excludedAttributes=userName,emails. Note that the schemas and id attributes are always returned and cannot be excluded.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://veepharm.com/api/v26.1/scim/v2/Me?attributes=userName,emails,meta
{ "schemas": [ "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User", "urn:ietf:params:scim:schemas:core:2.0:User" ], "id": "61579", "meta": { "created": "2018-01-09T23:07:46.000Z", "lastModified": "2018-06-19T22:48:30.000Z", "resourceType": "User", "location": "https://veepharm.com/api/v26.1/scim/v2/Users/61579" }, "emails": [ { "value": "mmurray@veepharm.com", "type": "work" } ], "userName": "mmurray@veepharm.com" }